<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>ChessBoard Loop</title>

    <script src="Resources/bootstrap-3.3.7-dist/js/jquery-3.2.1.min.js"></script>

    <style>

        #chessBoard{
            width: 800px;
            height: 800px;
            margin: 100px auto;
            border: 5px solid green;
        }

        .blackBox{
            width: 50px;
            height: 50px;
            background-color: black;
            float: left;
        }

        .whiteBox{
            width: 50px;
            height: 50px;
            background-color: blue;
            float:left;
        }

    </style>


    <script>

        jQuery(document).ready(function () {

            $(".blackBox,.whiteBox").click(function () {

                $(this).fadeOut(50);
                $(this).fadeIn(50);
                $(this).fadeOut(50);
                $(this).fadeIn(50);
                $(this).fadeOut(50);
                $(this).fadeIn(50);
                $(this).fadeOut(50);
                $(this).fadeIn(50);
            });


        });

    </script>

</head>

<body>

<div id="chessBoard">
    <script>

        var row = 1;


        for(i=1; i<=16; i++, row++)
        {
            if(row & 1){
                className= "blackBox";
            }else{
                className= "whiteBox";
            }

            var col = 1;

            for(j=1;j<=16;j++,col++)
            {
                str = '<div class = "' + className + '"> </div>';
                document.write(str);

                if(className=="blackBox") className= "whiteBox";
                else className = "blackBox";

            }

        }


    </script>

</div>


</body>
</html><!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>ChessBoard Loop</title>

    <script src="Resources/bootstrap-3.3.7-dist/js/jquery-3.2.1.min.js"></script>

    <style>

        #chessBoard{
            width: 800px;
            height: 800px;
            margin: 100px auto;
            border: 5px solid green;
        }

        .blackBox{
            width: 50px;
            height: 50px;
            background-color: black;
            float: left;
        }

        .whiteBox{
            width: 50px;
            height: 50px;
            background-color: blue;
            float:left;
        }

    </style>


    <script>

        jQuery(document).ready(function () {

            $(".blackBox,.whiteBox").click(function () {

                $(this).fadeOut(50);
                $(this).fadeIn(50);
                $(this).fadeOut(50);
                $(this).fadeIn(50);
                $(this).fadeOut(50);
                $(this).fadeIn(50);
                $(this).fadeOut(50);
                $(this).fadeIn(50);
            });


        });

    </script>

</head>

<body>

<div id="chessBoard">
    <script>

        var row = 1;


        for(i=1; i<=16; i++, row++)
        {
            if(row & 1){
                className= "blackBox";
            }else{
                className= "whiteBox";
            }

            var col = 1;

            for(j=1;j<=16;j++,col++)
            {
                str = '<div class = "' + className + '"> </div>';
                document.write(str);

                if(className=="blackBox") className= "whiteBox";
                else className = "blackBox";

            }

        }


    </script>

</div>


</body>
</html>